# Uses of Class
it.tdlight.jni.TdApi.AttachmentMenuBotColor

## Uses of TdApi.AttachmentMenuBotColor in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.AttachmentMenuBotColor
Modifier and Type
Field
Description
`TdApi.AttachmentMenuBotColor`
TdApi.AttachmentMenuBot.`iconColor`
Color to highlight selected icon of the bot if appropriate; may be null.
`TdApi.AttachmentMenuBotColor`
TdApi.AttachmentMenuBot.`nameColor`
Color to highlight selected name of the bot if appropriate; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.AttachmentMenuBotColor
Modifier
Constructor
Description
``
`AttachmentMenuBot(long botUserId, boolean supportsSelfChat, boolean supportsUserChats, boolean supportsBotChats, boolean supportsGroupChats, boolean supportsChannelChats, boolean requestWriteAccess, boolean isAdded, boolean showInAttachmentMenu, boolean showInSideMenu, boolean showDisclaimerInSideMenu, String name, TdApi.AttachmentMenuBotColor nameColor, TdApi.File defaultIcon, TdApi.File iosStaticIcon, TdApi.File iosAnimatedIcon, TdApi.File iosSideMenuIcon, TdApi.File androidIcon, TdApi.File androidSideMenuIcon, TdApi.File macosIcon, TdApi.File macosSideMenuIcon, TdApi.AttachmentMenuBotColor iconColor, TdApi.File webAppPlaceholder)`
Represents a bot, which can be added to attachment or side menu.